package com.ruoyi.change.mapper;

import java.util.List;
import com.ruoyi.change.domain.TbAssetReturn;

/**
 * 资产归还Mapper接口
 * 
 * @author 原动力
 * @date 2023-05-15
 */
public interface TbAssetReturnMapper 
{
    /**
     * 查询资产归还
     * 
     * @param id 资产归还主键
     * @return 资产归还
     */
    public TbAssetReturn selectTbAssetReturnById(Long id);

    /**
     * 查询资产归还列表
     * 
     * @param tbAssetReturn 资产归还
     * @return 资产归还集合
     */
    public List<TbAssetReturn> selectTbAssetReturnList(TbAssetReturn tbAssetReturn);

    /**
     * 新增资产归还
     * 
     * @param tbAssetReturn 资产归还
     * @return 结果
     */
    public int insertTbAssetReturn(TbAssetReturn tbAssetReturn);

    /**
     * 修改资产归还
     * 
     * @param tbAssetReturn 资产归还
     * @return 结果
     */
    public int updateTbAssetReturn(TbAssetReturn tbAssetReturn);

    /**
     * 删除资产归还
     * 
     * @param id 资产归还主键
     * @return 结果
     */
    public int deleteTbAssetReturnById(Long id);

    /**
     * 批量删除资产归还
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbAssetReturnByIds(Long[] ids);
}
